function setup()
	room.stackable = 0
	room.visible = -1--hidden
	room.compressed = 1--compress it right up next to the previous node
	
	room.setWave(1)

	room.addActor()
	--needs to happen before adding mobs apparently?
	actor.addEvent("battlescript_vectorbattle", 0)
	
	room.addActor()
	actor.durable = 1
	actor.nodeName = "ESCAPE!"
	actor.displayName = "HACK THE SYSTEM"
	actor.setIcon("hangar_peg.png")
	actor.addEvent("music_bosstheme.ogg", 0)
	actor.randomizePlacement = 0
	
	actor.addWave("VectorShip", 1, room.wave)
	actor.durable = 1
	--wave.spawnmode = 2--don't warp in, just appear
	--wave.faction = 7--aliens!
	--wave.tilex = 7
	--wave.tiley = 10
	
	actor.addEvent("pausedestructcountdown", 1)
	actor.addMessage("I don't think so. I'm not through yet.", "pilot", 1, 0, 1)
	
	actor.addEvent("classicarcade", 1)
	
	actor.addEvent("stopmusic", 4)
	
	actor.addMessage("INCONCEIVABLE", "stolenrobot_angry", 4, 0, 1)
	actor.addMessage("Red wire, green wire? Hmm...", "pilot", 4, 0, 1)
	actor.addMessage("PILOT CEASE ACTION STOP aT ONce", "stolenrobot_angry", 4, 0, 1)
	actor.addMessage("Let's go with both.", "pilot", 4, 0, 1)
	actor.addMessage("INTERNAL SABOTAGE! POWER FaiLinG seLF-DEstruct acTIVATE", "stolenrobot_angry", 4, 0, 1)
	actor.addMessage("PILot YOu will eND WITH me", "stolenrobot", 4, 0, 1)
	actor.addMessage("LIFEPOD SYSTEMS : Operation 100 per cent. Queued command : EJECT PILOT commencing.", "system", 4, 0, 1)
	actor.addMessage("no", "stolenrobot_blank", 4, 0, 1)
	actor.addMessage("LIFEPOD SYSTEMS : 3...", "system", 4, 0, 1)
	actor.addMessage("2...", "system", 4, 0, 1)
	actor.addMessage("1...", "system", 4, 0, 1)
	
	actor.addEvent("epilogue2", 5)
end